FishOutFishOut

Rotate a webhook signing secret

POST/orgs/{organizationId}/notification-channels/{channelId}/rotate-secret

Rotate a webhook signing secret. Webhook, Slack, Discord, Telegram, Email, Zapier, Microsoft Teams, Google Chat, Mattermost, ntfy, Feishu / Lark, DingTalk and WeCom notification channels deliver for real; webhook requests are signed.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

organizationId*string
Length1 <= length
channelId*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orgs/string/notification-channels/string/rotate-secret" \  -H "Idempotency-Key: stringst"
{  "data": {    "id": "string",    "organizationId": "string",    "projectId": "string",    "name": "string",    "provider": "string",    "destination": "string",    "events": [      "string"    ],    "minRelevance": 0,    "minScore": 0,    "enabled": true,    "signingSecretPreview": "string",    "simulated": true,    "signingSecret": "string",    "property1": "string",    "property2": "string"  },  "meta": {    "requestId": "string",    "replayed": true  }}